package org.springblade.system.mapper;


import org.springblade.common.core.domain.entity.SysLogsMenuHead;
import org.springblade.common.core.domain.entity.SysLogsVo;
import org.springblade.common.core.domain.entity.SysOperLog;

import java.util.List;

/**
 * 操作日志 数据层
 *
 * @author bonus
 */
public interface SysOperLogMapper
{
    /**
     * 新增操作日志
     *
     * @param operLog 操作日志对象
     */
    public void insertOperlog(SysOperLog operLog);

    /**
     * 查询系统操作日志集合
     *
     * @param operLog 操作日志对象
     * @return 操作日志集合
     */
    public List<SysOperLog> selectOperLogList(SysOperLog operLog);

    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    public int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    public SysOperLog selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    public void cleanOperLog();

    /**
     * 添加系统操作日志
     * @param sysLogsVo
     * @return void
     * @author cwchen
     * @date 2025/9/5 13:16
     */
    void addSysOperLog(SysLogsVo sysLogsVo);

    /**
     * 查询业务模块
     * @param operUri
     * @return SysLogsVo
     * @author cwchen
     * @date 2025/9/5 13:41
     */
    SysLogsVo getModule(String operUri);

    /**
     * 查询 异常日志路径
     * @param sysLogsVo
     * @return List<SysLogsMenuHead>
     * @author cwchen
     * @date 2025/9/9 9:55
     */
    List<SysLogsMenuHead> getLogsErrorModule(SysLogsVo sysLogsVo);
}
